import safePath from '$lib';
import { describe, it, expect } from 'vitest';

describe('safe path', () => {
	it('reject names with ../', () => {
		expect(safePath('./uplodas', '../foobar')).toBe(false);
	});

	it('accept names with ./', () => {
		expect(safePath('./uplodas', './foobar')).toBe(true);
	});

	it('reject names with /', () => {
		expect(safePath('./uplodas', 'foo/bar')).toBe(false);
	});

	it('accept happy path', () => {
		expect(safePath('./uplodas', 'foobar')).toBe(true);
	});
});
